<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VotingPeriodComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-period/voting-period.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>















            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./voting-period.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#electoralAuthorityKey">electoralAuthorityKey</a>
                            </li>
                            <li>
                                <a href="#formHolder">formHolder</a>
                            </li>
                            <li>
                                <a href="#mode">mode</a>
                            </li>
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                            <li>
                                <a href="#selectedElectoralAuthorityKeyCompleted">selectedElectoralAuthorityKeyCompleted</a>
                            </li>
                            <li>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                            <li>
                                <a href="#votingSitePeriod">votingSitePeriod</a>
                            </li>
                            <li>
                                <a href="#votingSitePeriodCompleted">votingSitePeriodCompleted</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#selectedElectoralAuthorityKeyInReadonly">selectedElectoralAuthorityKeyInReadonly</a>
                                </li>
                                <li>
                                    <a href="#votingSitePeriodInReadonly">votingSitePeriodInReadonly</a>
                                </li>
                                <li>
                                    <a href="#ready">ready</a>
                                </li>
                                <li>
                                    <a href="#baseRouterLink">baseRouterLink</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, votingSitePeriodService: <a href="../injectables/VotingSitePeriodService.html">VotingSitePeriodService</a>, selectedElectoralAuthorityKeyService: <a href="../injectables/SelectedElectoralAuthorityKeyService.html">SelectedElectoralAuthorityKeyService</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:27</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>votingSitePeriodService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/VotingSitePeriodService.html" target="_self" >VotingSitePeriodService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>selectedElectoralAuthorityKeyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/SelectedElectoralAuthorityKeyService.html" target="_self" >SelectedElectoralAuthorityKeyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:52</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:56</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="electoralAuthorityKey"></a>
                        <span class="name">
                            <b>
                            electoralAuthorityKey
                            </b>
                            <a href="#electoralAuthorityKey"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>electoralAuthorityKey:     <code><a href="../interfaces/ElectoralAuthorityKey.html" target="_self" >ElectoralAuthorityKey</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/ElectoralAuthorityKey.html" target="_self" >ElectoralAuthorityKey</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="formHolder"></a>
                        <span class="name">
                            <b>
                            formHolder
                            </b>
                            <a href="#formHolder"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>formHolder:     <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(&#x27;formHolder&#x27;)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="mode"></a>
                        <span class="name">
                            <b>
                            mode
                            </b>
                            <a href="#mode"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>mode:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operation"></a>
                        <span class="name">
                            <b>
                            operation
                            </b>
                            <a href="#operation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operationStatus"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            operationStatus
                            </b>
                            <a href="#operationStatus"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>operationStatus:     <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedElectoralAuthorityKeyCompleted"></a>
                        <span class="name">
                            <b>
                            selectedElectoralAuthorityKeyCompleted
                            </b>
                            <a href="#selectedElectoralAuthorityKeyCompleted"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>selectedElectoralAuthorityKeyCompleted:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votingSitePeriod"></a>
                        <span class="name">
                            <b>
                            votingSitePeriod
                            </b>
                            <a href="#votingSitePeriod"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>votingSitePeriod:     <code><a href="../interfaces/VotingSitePeriod.html" target="_self" >VotingSitePeriod</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/VotingSitePeriod.html" target="_self" >VotingSitePeriod</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votingSitePeriodCompleted"></a>
                        <span class="name">
                            <b>
                            votingSitePeriodCompleted
                            </b>
                            <a href="#votingSitePeriodCompleted"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>votingSitePeriodCompleted:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedElectoralAuthorityKeyInReadonly"></a>
                        <span class="name"><b>selectedElectoralAuthorityKeyInReadonly</b><a href="#selectedElectoralAuthorityKeyInReadonly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>selectedElectoralAuthorityKeyInReadonly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:36</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votingSitePeriodInReadonly"></a>
                        <span class="name"><b>votingSitePeriodInReadonly</b><a href="#votingSitePeriodInReadonly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>votingSitePeriodInReadonly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:40</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ready"></a>
                        <span class="name"><b>ready</b><a href="#ready"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>ready()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:44</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="baseRouterLink"></a>
                        <span class="name"><b>baseRouterLink</b><a href="#baseRouterLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>baseRouterLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/voting-period/voting-period.component.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnDestroy, OnInit, ViewChild } from &#x27;@angular/core&#x27;;
import { ActivatedRoute } from &#x27;@angular/router&#x27;;
import { OperationManagementService } from &#x27;../service/operation-managment.service&#x27;;
import { Operation } from &#x27;../model/operation&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { OperationStatus } from &#x27;../model/operation-status&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../core/confirm-before-quit&#x27;;
import { ReadOnlyService } from &#x27;../service/read-only.service&#x27;;
import { ElectoralAuthorityKey } from &#x27;../../admin/electoral-authority-key/electoral-authority-key&#x27;;
import { VotingSitePeriod } from &#x27;./voting-site-period/voting-site-period&#x27;;
import { VotingSitePeriodService } from &#x27;./voting-site-period/voting-site-period.service&#x27;;
import { SelectedElectoralAuthorityKeyService } from &#x27;./selected-electoral-authority-key/selected-electoral-authority-key.service&#x27;;

@Component({
  templateUrl: &#x27;./voting-period.component.html&#x27;
})
export class VotingPeriodComponent implements OnInit, OnDestroy, ConfirmBeforeQuit {
  mode: &quot;view&quot;;
  subscriptions: Subscription[] &#x3D; [];

  operation: Operation;
  electoralAuthorityKey: ElectoralAuthorityKey;
  votingSitePeriod: VotingSitePeriod;
  votingSitePeriodCompleted &#x3D; false;
  selectedElectoralAuthorityKeyCompleted &#x3D; false;
  @ViewChild(&quot;formHolder&quot;) formHolder: ConfirmBeforeQuit;
  private operationStatus: OperationStatus;

  constructor(private route: ActivatedRoute,
              private readOnlyService: ReadOnlyService,
              private votingSitePeriodService: VotingSitePeriodService,
              private selectedElectoralAuthorityKeyService: SelectedElectoralAuthorityKeyService,
              private operationManagementService: OperationManagementService) {
  }

  get selectedElectoralAuthorityKeyInReadonly() {
    return this.readOnlyService.isSelectedElectoralAuthorityKeyInReadonly();
  }

  get votingSitePeriodInReadonly() {
    return this.readOnlyService.isVotingSitePeriodInReadonly();
  }

  get ready() {
    return this.operation &amp;&amp; this.operationStatus;
  }

  get baseRouterLink() {
    return &#x60;/operations/${this.operation.id}/voting-period/&#x60;;
  }

  isFormModified(): boolean {
    return !this.formHolder || this.formHolder.isFormModified();
  }

  ngOnInit() {
    this.subscriptions.push(
      this.operationManagementService.operation.subscribe(operation &#x3D;&gt; {
        this.operation &#x3D; operation;
        this.votingSitePeriodService.findForOperation(operation.id)
          .subscribe(votingSitePeriod &#x3D;&gt; this.votingSitePeriod &#x3D; votingSitePeriod);
        this.selectedElectoralAuthorityKeyService.findForOperation(operation.id)
          .subscribe(electoralAuthorityKey &#x3D;&gt; this.electoralAuthorityKey &#x3D; electoralAuthorityKey);
      }),
      this.operationManagementService.status.subscribe(status &#x3D;&gt; {
        this.operationStatus &#x3D; status;
        this.votingSitePeriodCompleted &#x3D; status.votingPeriodStatus.completedSections[&#x27;period-configuration&#x27;];
        this.selectedElectoralAuthorityKeyCompleted &#x3D;
          status.votingPeriodStatus.completedSections[&#x27;electoral-authority-key-configuration&#x27;];
      }),
      this.route.data.subscribe((data) &#x3D;&gt; this.mode &#x3D; data.mode || &quot;view&quot;)
    );
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;ready&quot;&gt;


  &lt;voting-period-notification [operation]&#x3D;&quot;operation&quot; [operationStatus]&#x3D;&quot;operationStatus&quot;&gt;&lt;/voting-period-notification&gt;

  &lt;div *ngIf&#x3D;&quot;mode &#x3D;&#x3D; &#x27;view&#x27;&quot;&gt;
    &lt;div fxLayout&#x3D;&quot;row wrap&quot; fxLayoutAlign&#x3D;&quot;space-between stretch&quot;&gt;
      &lt;selected-electoral-authority-key-card
        [key]&#x3D;&quot;electoralAuthorityKey&quot;
        [completed]&#x3D;&quot;selectedElectoralAuthorityKeyCompleted&quot;
        [readOnly]&#x3D;&quot;selectedElectoralAuthorityKeyInReadonly | async&quot;&gt;
      &lt;/selected-electoral-authority-key-card&gt;

      &lt;voting-site-period-card
        [period]&#x3D;&quot;votingSitePeriod&quot;
        [completed]&#x3D;&quot;votingSitePeriodCompleted&quot;
        [readOnly]&#x3D;&quot;votingSitePeriodInReadonly | async&quot;&gt;

      &lt;/voting-site-period-card&gt;
      &lt;div style&#x3D;&quot;width: 60rem;&quot;&gt;&lt;/div&gt;
    &lt;/div&gt;
  &lt;/div&gt;

  &lt;div *ngIf&#x3D;&quot;mode !&#x3D;&#x3D; &#x27;view&#x27;&quot;&gt;
    &lt;edit-with-side-bar&gt;
      &lt;edit-content&gt;
        &lt;div *ngIf&#x3D;&quot;mode  &#x3D;&#x3D; &#x27;selected-electoral-authority-key&#x27;&quot;&gt;
          &lt;selected-electoral-authority-key-edit #formHolder [operation]&#x3D;&quot;operation&quot;
                                                 [readOnly]&#x3D;&quot;selectedElectoralAuthorityKeyInReadonly | async&quot;
                                                 [(key)]&#x3D;&quot;electoralAuthorityKey&quot;&gt;
          &lt;/selected-electoral-authority-key-edit&gt;
        &lt;/div&gt;

        &lt;div *ngIf&#x3D;&quot;mode &#x3D;&#x3D; &#x27;voting-site-period&#x27;&quot;&gt;
          &lt;voting-site-period-edit #formHolder [operation]&#x3D;&quot;operation&quot; [(period)]&#x3D;&quot;votingSitePeriod&quot;
                                   [readOnly]&#x3D;&quot;votingSitePeriodInReadonly | async&quot;&gt;
          &lt;/voting-site-period-edit&gt;
        &lt;/div&gt;
      &lt;/edit-content&gt;


      &lt;side-bar-back-button title&#x3D;&quot;{{ &#x27;operation-management.step.voting-period&#x27; | translate }}&quot;
                            [routerLink]&#x3D;&quot;baseRouterLink&quot;&gt;&lt;/side-bar-back-button&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;

      &lt;side-bar-item title&#x3D;&quot;{{ &#x27;voting-period.selected-electoral-authority-key.sidebar.title&#x27; | translate }}&quot;
                     required&#x3D;true
                     [complete]&#x3D;&quot;selectedElectoralAuthorityKeyCompleted&quot;
                     [inError]&#x3D;&quot;false&quot;
                     [locked]&#x3D;&quot;selectedElectoralAuthorityKeyInReadonly | async&quot;
                     [routerLink]&#x3D;&quot;[baseRouterLink , &#x27;selected-electoral-authority-key&#x27;]&quot;&gt;&lt;/side-bar-item&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;

      &lt;side-bar-item title&#x3D;&quot;{{ &#x27;voting-period.voting-site-period.sidebar.title&#x27; | translate }}&quot;
                     required&#x3D;true
                     [complete]&#x3D;&quot;votingSitePeriodCompleted&quot;
                     [inError]&#x3D;&quot;false&quot;
                     [locked]&#x3D;&quot;votingSitePeriodInReadonly | async&quot;
                     [routerLink]&#x3D;&quot;[baseRouterLink , &#x27;voting-site-period&#x27;]&quot;&gt;&lt;/side-bar-item&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;

    &lt;/edit-with-side-bar&gt;
  &lt;/div&gt;


&lt;/div&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="ready">  <voting-period-notification [operation]="operation" [operationStatus]="operationStatus"></voting-period-notification>  <div *ngIf="mode == \'view\'">    <div fxLayout="row wrap" fxLayoutAlign="space-between stretch">      <selected-electoral-authority-key-card        [key]="electoralAuthorityKey"        [completed]="selectedElectoralAuthorityKeyCompleted"        [readOnly]="selectedElectoralAuthorityKeyInReadonly | async">      </selected-electoral-authority-key-card>      <voting-site-period-card        [period]="votingSitePeriod"        [completed]="votingSitePeriodCompleted"        [readOnly]="votingSitePeriodInReadonly | async">      </voting-site-period-card>      <div style="width: 60rem;"></div>    </div>  </div>  <div *ngIf="mode !== \'view\'">    <edit-with-side-bar>      <edit-content>        <div *ngIf="mode  == \'selected-electoral-authority-key\'">          <selected-electoral-authority-key-edit #formHolder [operation]="operation"                                                 [readOnly]="selectedElectoralAuthorityKeyInReadonly | async"                                                 [(key)]="electoralAuthorityKey">          </selected-electoral-authority-key-edit>        </div>        <div *ngIf="mode == \'voting-site-period\'">          <voting-site-period-edit #formHolder [operation]="operation" [(period)]="votingSitePeriod"                                   [readOnly]="votingSitePeriodInReadonly | async">          </voting-site-period-edit>        </div>      </edit-content>      <side-bar-back-button title="{{ \'operation-management.step.voting-period\' | translate }}"                            [routerLink]="baseRouterLink"></side-bar-back-button>      <mat-divider></mat-divider>      <side-bar-item title="{{ \'voting-period.selected-electoral-authority-key.sidebar.title\' | translate }}"                     required=true                     [complete]="selectedElectoralAuthorityKeyCompleted"                     [inError]="false"                     [locked]="selectedElectoralAuthorityKeyInReadonly | async"                     [routerLink]="[baseRouterLink , \'selected-electoral-authority-key\']"></side-bar-item>      <mat-divider></mat-divider>      <side-bar-item title="{{ \'voting-period.voting-site-period.sidebar.title\' | translate }}"                     required=true                     [complete]="votingSitePeriodCompleted"                     [inError]="false"                     [locked]="votingSitePeriodInReadonly | async"                     [routerLink]="[baseRouterLink , \'voting-site-period\']"></side-bar-item>      <mat-divider></mat-divider>    </edit-with-side-bar>  </div></div></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'VotingPeriodComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingPeriodComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
